/**
 * A turtle that draws a spiral.
 * 
 * @author Poul Henriksen; procedural version by Ian Barland 
 * @version 1.1
 */
public class SpiralTrtl extends Trtl {
   
    /**
     * The step size used to increase the size of the spiral
     */
    public static void setStep( SpiralTrtl _this, double newStep) {
        _this.step = newStep;
    }
    
    /**
     * The angle the turtle turns when changing direction.
     */
    public static void setAngle( SpiralTrtl _this, double newAngle) {
        _this.angle = newAngle;
    }
    
    /** What to do when the 'act' button is pressed.
     * (Non-static, since it's called by Greenfoot IDE.)
     */
    public void act() {
        move(this,size);
        turn(this,angle);
        this.size = this.size + this.step;
    }
    
    /** Create a new SpiralTrtl.
     * @return a new SpiralTrtl.
     */
    public static SpiralTrtl makeSpiralTrtl() {
        return addToWorld( new SpiralTrtl() );
    }
    
    /* Constructor -- make it non-public */
    protected SpiralTrtl() {}

    
    double step=2;
    double size =0;
    double angle=90;
 
}